{% extends 'base.html.twig' %}

{% block content %}

    {% set siteInfos = site_infos(site) %}

    <ol class="breadcrumb">
        <li><a href="{{ path('homepage') }}">{{ 'breadcrumbs.home' | trans }}</a></li>
        <li><a href="{{ path('site-view', {'site': site.id}) }}">{{ siteInfos.name }} - {{ 'breadcrumbs.site.title' | trans }}</a></li>
    </ol>

    {% if site is blog %}
        {% set site_ext = 'site' %}
        {% set site_label = 'site' %}
        {% set site_gender = 'masc' %}
    {% elseif site is wiki %}
        {% set site_ext = 'wiki' %}
        {% set site_label = 'wiki' %}
        {% set site_gender = 'masc' %}
    {% elseif site is single %}
        {% set site_ext = 'site' %}
        {% set site_label = 'page' %}
        {% set site_gender = 'fem' %}
    {% endif %}


    <div class="uk-card uk-card-default" id="site-view">
        <div class="uk-card-header" data-intro="{{ 'help.site.view.header' | trans }}">
            <div class="uk-flex uk-flex-between" uk-grid>
                <div><a class="btn btn-default" href="{{ path('homepage') }}"><span class="glyphicon glyphicon-chevron-left"></span> {{ 'site.back' | trans }}</a></div>
                <h1 class="uk-heading-primary uk-heading-line uk-text-center"><a href="https://{{ site.subdomain }}.frama.{% if site is blog or site is single %}site{% elseif site is wiki %}wiki{% endif %}" target="_blank" rel="noopener noreferrer">{{ siteInfos.name }}</a></h1>
                {% if site is blog %}
                    <div>
                        {% for tag in siteInfos.keywords|split(',') %}
                            <span class="label label-primary">{{ tag }}</span>
                        {% endfor %}
                    </div>
                {% endif %}
            </div>
            <p class="well">{{ siteInfos.description }}</p>
        </div>
        <div class="uk-card-body">
            <h3>{{ 'site.users.title' | trans }}</h3>
            {% set users = siteInfos.users %}
            <table class="uk-table uk-table-hover uk-table-divider" data-intro="{{ 'help.site.view.users' | trans }}">
                <thead>
                <tr>
                    <th>{{ 'site.new.user.login' | trans }}</th>
                    {% if site is not single %}<th>{{ 'site.new.user.email' | trans }}</th>{% endif %}
                    {% if site is not single %}<th>{{ 'site.new.user.admin' | trans }}</th>{% endif %}
                    <th>{{ 'site.users.action' | trans }}</th>
                </tr>
                </thead>
                <tbody>
                    {% for user in users %}
                        <tr>
                            <td>{{ user.username }}</td>
                            {% if site is not single %}<td>{% if user.email is defined %}{{ user.email}}{% else %}N/A{% endif %}</td>{% endif %}
                            {% if site is not single %}<td>{% if user.admin is defined %}Oui{% else %}Non{% endif %}</td>{% endif %}
                            <td>{% if site is single %}<a href="{{ path('site-edit-user', {'username': user.username, 'site': site.id}) }}">{{ 'site.users.edit' | trans }}</a> - {% endif %}{% if users | length > 1 %}<a href="{{ path('delete-site-user', {'siteUser': user.username, 'site': site.id}) }}">{{ 'site.users.delete' | trans }}</a>{% endif %}</td>
                            <td></td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>

            <a id="blog_add_user_button" href="{{ path('site-add-user', {'site': site.id}) }}" data-intro="{{ 'help.site.view.user_add' | trans }}" class="btn btn-default">{{ 'site.shortcuts.add_user' | trans }}</a>

            <hr />
            <div data-intro="{{ 'help.site.view.domains' | trans }}">
            <h3>{{ 'site.domain.title' | trans }}</h3>
            {% if site.domains | length > 0 %}
                <ul class="uk-list uk-list-divider">
                    {% for domain in site.domains %}
                    <li>{{ domain.domainName }} <a href="{{ path('domain-view', {'domain': domain.id}) }}">({{ 'site.domain.manage' | trans }})</a></li>
                    {% endfor %}
                </ul>
            {% else %}
                    <div class="alert alert-info">{{ 'site.domain.empty' | trans }} {% if buy_domain %}<a href="{{ path('add-domain') }}">{{ 'site.domain.buy' | trans }}</a> {% endif %}<a href="{{ path('attach-domain') }}">{{ 'site.domain.attach' | trans }}</a></div>
            {% endif %}
            </div>
        </div>
        <div class="uk-card-footer" data-intro="{{ 'help.site.view.tools' | trans }}">
            <h3>{{ 'site.tools.title' | trans }}</h3>
            <div class="uk-flex" uk-grid>
                <a href="https://{{ site.subdomain }}.frama.{% spaceless %}
                                        {% if site is blog %}
                                            site/admin/forgot
                                        {% elseif site is wiki %}
                                            wiki/start?do=resendpwd
                                        {% endif %}
                                        {% endspaceless %}" class="btn btn-default btn-lg uk-margin-right uk-margin-left">{{ ('site.shortcuts.forgot_password_' ~ site_gender) | trans({'%type%': site_label}) }}</a>
                {% if site is blog %}
                    <a href="https://{{ site.subdomain }}.frama.site/admin/backup-manager" class="btn btn-warning btn-lg uk-margin-left uk-margin-right">{{ ('site.shortcuts.export_' ~ site_gender)| trans({'%type%': site_label}) }}</a>
                {% endif %}
                <a href="{{ path('delete-site', {'site': site.id}) }}" class="btn btn-danger btn-lg uk-margin-left">{{ ('site.shortcuts.delete_' ~ site_gender) | trans({'%type%': site_label}) }}</a>
            </div>
        </div>
    </div>
{% endblock %}
